#
# spec file for package python-pylsqpack
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pylsqpack
Version:        0.3.16
Release:        2.4
Summary:        Python ls-qpack QPACK library
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/aiortc/pylsqpack
Source:         https://files.pythonhosted.org/packages/source/p/pylsqpack/pylsqpack-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Python wrapper for the ls-qpack QPACK library.

%prep
%setup -q -n pylsqpack-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pyunittest_arch -v

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitearch}/*

%changelog
* Tue Jul  4 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Oct  5 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to v0.3.16
  * Fix memory leaks due to missing Py_DECREF calls
  * free DecoderObject's and EncoderObject's memory
  * Revert "Allocate encoding / decoding buffers of the heap (fixes: #14)"
- Update to v0.3.15
  * Allocate encoding / decoding buffers of the heap (fixes: #14)
- Update to  0.3.14
  * Build wheels for arm64 on macos
  * [docs] update copyright years
- Update to 0.3.13
  * [package] use pyproject.toml, don't build for musllinux
  * Support Python 3.10, drop Python 3.6
  * [vendor] update ls-qpack to version 1.0.3
* Tue Feb 23 2021 John Vandenberg <jayvdb@gmail.com>
- Update to v0.3.12
* Wed Feb 19 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.3.5
